apptainer(1)

NAME

apptainer-key-import - Import a local key into the local or global keyring

SYNOPSIS

apptainer key import [import options...]

DESCRIPTION

The 'key import' command allows you to add a key to your local or global keyring
  from a specific file.

OPTIONS

-g, --global[=false]
    manage global public keys (import/pull/remove are restricted to root user or unprivileged installation only)

-h, --help[=false]
    help for import

-d, --keysdir="/build/.apptainer/keys"
    set local keyring dir path, an alternative way is to set environment variable 'APPTAINER_KEYSDIR'

--new-password[=false]
    set a new password to the private key

EXAMPLE
      $ apptainer key import ./my-key.asc
      # Import into global keyring (root user only)
      $ apptainer key import --global ./my-key.asc

SEE ALSO

apptainer-key(1)

HISTORY

16-Dec-2024 Auto generated by spf13/cobra